Package org.drinkless.tdlib

# Class TdApi.CraftGift

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.CraftGiftResult>
org.drinkless.tdlib.TdApi.CraftGift

Enclosing class:
  `TdApi`

public static class TdApi.CraftGift extends TdApi.Function<TdApi.CraftGiftResult>
Crafts a new gift from other gifts that will be permanently lost.

Returns `CraftGiftResult`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String[]`
  `receivedGiftIds`
  Identifier of the gifts to use for crafting.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CraftGift()`
  Default constructor for a function, which crafts a new gift from other gifts that will be permanently lost.
  `CraftGift(String[] receivedGiftIds)`
  Creates a function, which crafts a new gift from other gifts that will be permanently lost.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### receivedGiftIds

    public String[] receivedGiftIds
    Identifier of the gifts to use for crafting. In the case of a successful craft, the resulting gift will have the number of the first gift. Consequently, the first gift must not have been withdrawn to the TON blockchain as an NFT and must have an empty giftAddress.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CraftGift

    public CraftGift()
    Default constructor for a function, which crafts a new gift from other gifts that will be permanently lost.

    Returns `CraftGiftResult`

  - ### CraftGift

    public CraftGift(String[] receivedGiftIds)
    Creates a function, which crafts a new gift from other gifts that will be permanently lost.

    Returns `CraftGiftResult`

    Parameters:
      `receivedGiftIds` - Identifier of the gifts to use for crafting. In the case of a successful craft, the resulting gift will have the number of the first gift. Consequently, the first gift must not have been withdrawn to the TON blockchain as an NFT and must have an empty giftAddress.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.CraftGiftResult>`
    Returns:
      this.CONSTRUCTOR